## nikola 5

=== requirements.txt ===
doit>=0.17
pygments
pillow
docutils
mako>=0.6
unidecode
lxml
configparser
yapsy

=== debian/changelog ===
nikola (5-1) unstable; urgency=low

  * New upstream release, adds new features and fixes several bugs:
    Features:
     - Templates now know their name from template_name in their context.
     - Made most of Nikola into Yapsy plugins.
     - Recurse galleries/ and render each folder as a gallery.
     - Breadcrumbs and folder links in image galleries.
    Bugfixes:
     - Fixed doc installation
     - Put webassets cache in cache/webassets
     - Don't crash on incomplete translations
     - Fixed Issue 160: render_tags didn't call scan_posts()
     - Fixed Issue 161: webassets setting USE_BUNDLES was ignored
     - Fixed Issue 153: index.txt was being ignored in galleries.

 -- Agustin Henze <tin@sluc.org.ar>  Wed, 12 Dec 2012 20:33:41 -0300

nikola (4.0.3-2) unstable; urgency=low

  * Fix broken symlinks not being included on the repkg source.

 -- Agustin Henze <tin@sluc.org.ar>  Mon, 19 Nov 2012 20:34:44 -0300

nikola (4.0.3-1) unstable; urgency=low

  * Initial release (Closes: #690159).

 -- Agustin Henze <tin@sluc.org.ar>  Wed, 09 Oct 2012 18:10:41 -0300

=== debian/control ===
Source: nikola
Section: python
Priority: optional
Maintainer: Agustin Henze <tin@sluc.org.ar>
Uploaders: Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python-all,
 python-support (>= 1),
 python-setuptools,
 python-docutils,
Standards-Version: 3.9.3
X-Python-Version: >= 2.7
Homepage: http://nikola.ralsina.com.ar/

Package: nikola
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
 python-doit,
 python-pygments,
 python-imaging,
 python-docutils,
 python-mako,
 python-unidecode,
 python-lxml,
 python-yapsy,
 python-pyrss2gen,
 libjs-jquery,
 libjs-jquery-colorbox,
 libjs-twitter-bootstrap,
Recommends: python-webassets
Suggests: python-jinja2
Description: simple yet powerful and flexible static website and blog generator
 Nikola is a static site and blog generator. Feed information to it on one
 side and get a ready-to-deploy website on the other.
 .
 Nikola goodies on generating static pages are, between others, that:
  * Static websites are safer, no database nor dynamic code interpreter needed
  * They use fewer resources
  * You avoid vendor and platform lockin.
 .
 Between some of Nikola's features you may find:
    * Blog generator, including tags, feeds, archives, comments, etc.
    * Theme support
    * Fast building process, thanks to doit
    * Easy Image Gallery, just drop files in a folder!
    * reStructuredText or Markdown as Input languages
    * Flexible design
    * Small codebase.
    * Syntax highlighting for almost any programming language or markup
    * Multi-language sites
    * Small, since based on leverages existing tools
    * Between others

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS :=  python2.7

%:
	dh $@ --with python2

override_dh_auto_build:

override_dh_auto_clean:
	dh_auto_clean -- --all
	rm -rf build
	rm -f debian/nikola.1

override_dh_auto_install:
	dh_auto_install
	set -ex; \
	for py in $(PYVERS); do \
		$$py setup.py install --root debian/nikola \
				      --install-layout=deb; \
	done
	# Documentation
	mkdir -p debian/nikola/usr/share/doc/nikola; \
		rst2html docs/manual.txt debian/nikola/usr/share/doc/nikola/manual.html; \
		rst2html docs/theming.txt debian/nikola/usr/share/doc/nikola/theming.html; \
		rst2html docs/extending.txt debian/nikola/usr/share/doc/nikola/extending.html;
	# Manpage
	rst2man docs/man/nikola.1 debian/nikola.1
	# Remove embedded code from other software pieces
	# PyRSS2Gen, provided by python-pyrss2gen on runtime-dep
	rm debian/nikola/usr/lib/python2.7/dist-packages/nikola/PyRSS2Gen.py

override_dh_link:
	# Remove embedded code from other software pieces
	# Bootstrap, provided by libjs-twitter-bootstrap on runtime-dep
	rm debian/nikola/usr/share/pyshared/nikola/data/themes/default/assets/js/bootstrap.js
	rm debian/nikola/usr/share/pyshared/nikola/data/themes/default/assets/css/bootstrap-responsive.css
	rm debian/nikola/usr/share/pyshared/nikola/data/themes/default/assets/css/bootstrap.css
	dh_link

=== debian/watch ===
version=3

http://githubredir.debian.net/github/ralsina/nikola/ .*archive\/([0-9.]*).tar.gz

## nikola 5.2

=== requirements.txt ===
doit>=0.20.0
pygments
pillow
docutils
mako>=0.6
unidecode
lxml
configparser
yapsy
mock>=1.0.0
requests
markdown
Jinja2
PyRSS2Gen
bbcode

=== debian/changelog ===
nikola (5.2-1) unstable; urgency=low

  * Imported Upstream version 5.2 (Closes: #696358, #699910).
  * Bump Standards-Version to 3.9.4 (no changes required).
  * Added libjs-jquery-slides dependency.
    - Removed slides.jquery.js file of the upstream installation.
  * Updated copyright file: 
    - The license of nikola has changed from GPL-3 to MIT.
    - Added license of slides.jquery.js file.
  * Fixed assets symlinks on debian/nikola.links.
  * Updated debian/rules:
    - Deleted the remove sentence of PyRSS2Gen, fixed in upstream.
    - Copy custom.css into the right place, it'll be reported to upstream.
    - Added conversion from rst to html of the docs/creating-a-theme.txt file.
  * Created debian/pydist-overrides: pillow overridden by python-imaging.
  * Added Vcs-git and Vcs-browser to debian/control file.

 -- Agustin Henze <tin@sluc.org.ar>  Wed, 13 Feb 2013 18:42:55 -0300

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
  python-support (>= 1),
  python-setuptools,
  python-docutils,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.7
 Homepage: http://nikola.ralsina.com.ar/
+Vcs-Git: git://git.debian.org/collab-maint/nikola.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nikola.git
 
 Package: nikola
 Architecture: all
@@ -27,6 +29,7 @@
  libjs-jquery,
  libjs-jquery-colorbox,
  libjs-twitter-bootstrap,
+ libjs-jquery-slides,
 Recommends: python-webassets
 Suggests: python-jinja2
 Description: simple yet powerful and flexible static website and blog generator

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS :=  python2.7

%:
	dh $@ --with python2

override_dh_auto_build:

override_dh_auto_clean:
	dh_auto_clean -- --all
	rm -rf build
	rm -rf Nikola.egg-info
	rm -f debian/nikola.1

override_dh_auto_install:
	set -ex; \
	for py in $(PYVERS); do \
		$$py setup.py install --root debian/nikola \
				      --install-layout=deb; \
	done
	# Documentation
	mkdir -p debian/nikola/usr/share/doc/nikola; \
		rst2html docs/manual.txt debian/nikola/usr/share/doc/nikola/manual.html; \
		rst2html docs/theming.txt debian/nikola/usr/share/doc/nikola/theming.html; \
		rst2html docs/creating-a-theme.txt debian/nikola/usr/share/doc/nikola/creating-a-theme.html; \
		rst2html docs/extending.txt debian/nikola/usr/share/doc/nikola/extending.html;
	# Manpage
	rst2man docs/man/nikola.1 debian/nikola.1

override_dh_link:
	# Remove embedded code from other software pieces
	# Bootstrap, provided by libjs-twitter-bootstrap on runtime-dep
	rm debian/nikola/usr/share/pyshared/nikola/data/themes/default/assets/js/bootstrap.js
	rm debian/nikola/usr/share/pyshared/nikola/data/themes/default/assets/js/slides.jquery.js
	rm debian/nikola/usr/share/pyshared/nikola/data/themes/default/assets/css/bootstrap-responsive.css
	rm debian/nikola/usr/share/pyshared/nikola/data/themes/default/assets/css/bootstrap.css
	# A nasty fix, I'll report this to upstream.
	cp nikola/data/samplesite/files/assets/css/custom.css debian/nikola/usr/lib/python2.7/dist-packages/nikola/data/themes/default/assets/css/custom.css
	dh_link

## nikola 5.4.2

=== requirements.txt ===
mock>=1.0.0
requests
markdown
Jinja2
bbcode

=== debian/changelog ===
nikola (5.4.2-1) unstable; urgency=low

  * Imported Upstream version 5.4.2
  * Removed unused manuals under debian folder
  * Updated README.source file with details about the files deleted for make
    the package dfsg compliant
  * Fixed lintian warning about non-canonical vcs field

 -- Agustin Henze <tin@sluc.org.ar>  Wed, 13 Mar 2013 21:31:44 -0300

nikola (5.3-1) unstable; urgency=low

  * Imported Upstream version 5.3
  * Updated debian/rules:
    - Removed the copy of the custom.css file, fixed in upstream.

 -- Agustin Henze <tin@sluc.org.ar>  Wed, 27 Feb 2013 17:11:04 -0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.7
 Homepage: http://nikola.ralsina.com.ar/
-Vcs-Git: git://git.debian.org/collab-maint/nikola.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/nikola.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nikola.git
 
 Package: nikola

=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,4 @@
 	rm debian/nikola/usr/share/pyshared/nikola/data/themes/default/assets/js/slides.jquery.js
 	rm debian/nikola/usr/share/pyshared/nikola/data/themes/default/assets/css/bootstrap-responsive.css
 	rm debian/nikola/usr/share/pyshared/nikola/data/themes/default/assets/css/bootstrap.css
-	# A nasty fix, I'll report this to upstream.
-	cp nikola/data/samplesite/files/assets/css/custom.css debian/nikola/usr/lib/python2.7/dist-packages/nikola/data/themes/default/assets/css/custom.css
 	dh_link

=== debian/watch ===
version=3

https://github.com/ralsina/nikola/tags .*archive\/([0-9.]*).tar.gz

## nikola 6.2.1

=== docs/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Nikola.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Nikola.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Nikola"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Nikola"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
nikola (6.2.1-1) unstable; urgency=low

  * Imported Upstream version 6.2.1 (Closes: #722177)
  * Updating debian/watch file to the new url of the project
  * Add get-orig-source target
  * Change the default theme bootstrap3 by bootstrap
  * Update dependencies, recommendations and suggestions

 -- Agustin Henze <tin@debian.org>  Mon, 18 Nov 2013 19:26:32 -0300

nikola (5.4.4-1) unstable; urgency=low

  [ Agustin Henze ]
  * Imported Upstream version 5.4.4
  * debian/copyright:
    - Converted to machine readable.
    - Update copyrights.
  * debian/rules:
    - Fix wrong permission files
    - Remove a copy of MIT License
    - Remove the command that deletes a file that is no longer part of the
      project.
  * Update debian/README.source file with the new file differences.

  [ Dererk ]
  * Recommend py-requests for install_theme feature (Closes: #706658).

 -- Agustin Henze <tin@sluc.org.ar>  Fri, 31 May 2013 20:50:03 -0300

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: nikola
 Section: python
 Priority: optional
-Maintainer: Agustin Henze <tin@sluc.org.ar>
+Maintainer: Agustin Henze <tin@debian.org>
 Uploaders: Ulises Vitulli <dererk@debian.org>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python-all,
+Build-Depends:
+ debhelper (>= 9),
+ python-all,
  python-support (>= 1),
  python-setuptools,
  python-docutils,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.7
-Homepage: http://nikola.ralsina.com.ar/
+Homepage: http://getnikola.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/nikola.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nikola.git
 
 Package: nikola
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends},
+Depends:
+ ${python:Depends},
+ ${misc:Depends},
  python-doit,
  python-pygments,
  python-imaging,
@@ -26,12 +29,28 @@
  python-lxml,
  python-yapsy,
  python-pyrss2gen,
+ python-tz,
  libjs-jquery,
  libjs-jquery-colorbox,
  libjs-twitter-bootstrap,
- libjs-jquery-slides,
-Recommends: python-webassets
-Suggests: python-jinja2
+ libjs-imagesloaded,
+Recommends:
+ python-webassets,
+ python-requests,
+ python-typogrify,
+ python-livereload,
+Suggests:
+ python-jinja2,
+ python-feedparser,
+ ipython,
+ bpython,
+ python-markdown,
+ python-misaka,
+ pandoc,
+ python-textile,
+ python-creoleparser,
+ txt2tags,
+ node-less,
 Description: simple yet powerful and flexible static website and blog generator
  Nikola is a static site and blog generator. Feed information to it on one
  side and get a ready-to-deploy website on the other.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UVERSION := $(shell dpkg-parsechangelog | sed -n -e's/^Version: \(.*\)-[^-]\+/\1/p' | cut -d ":" -f 2)
PACKAGE_NAME := $(shell dpkg-parsechangelog | sed -n -e's/^Source: \(.*\)\+/\1/p')
PYVERS :=  python2.7

%:
	dh $@ --with python2

override_dh_auto_build:

override_dh_auto_clean:
	dh_auto_clean -- --all
	rm -rf build
	rm -rf Nikola.egg-info

override_dh_auto_install:
	set -ex; \
	for py in $(PYVERS); do \
		$$py setup.py install --root debian/nikola \
				      --install-layout=deb; \
	done
	# Documentation
	rst2html docs/manual.txt debian/nikola/usr/share/doc/nikola/manual.html
	rst2html docs/theming.txt debian/nikola/usr/share/doc/nikola/theming.html
	rst2html docs/creating-a-theme.txt debian/nikola/usr/share/doc/nikola/creating-a-theme.html
	rst2html docs/extending.txt debian/nikola/usr/share/doc/nikola/extending.html
	# Drop wrong permission
	find debian/nikola/usr/lib -perm /a+x -type f -exec chmod -x {} +
	# Remove a copy of mit license
	find debian/nikola/usr/lib -name "MIT-LICENSE.txt" -type f -exec rm {} +

get-orig-source:
	@if [ ! -d "debian" ] ; then \
		echo 'Run this from the top directory of the Debian source' >&2; \
		exit 1; \
	fi
	mkdir -p ../tmp/nikola_$(UVERSION)
	wget https://github.com/getnikola/nikola/archive/v$(UVERSION).tar.gz \
		-O ../tmp/nikola_$(UVERSION).tar.gz;
	tar xf ../tmp/nikola_$(UVERSION).tar.gz \
		-C ../tmp/nikola_$(UVERSION) \
		'--exclude=*min.*' \
		'--exclude=*bootstrap3*' \
		'--exclude=*bootstrap.js' \
		'--exclude=*bootstrap.css' \
		'--exclude=*bootstrap-responsive.css' \
		'--exclude=*glyphicons-halflings*.png';
	tar -C ../tmp/nikola_$(UVERSION) nikola-$(UVERSION) -c --xz -f ../nikola_$(UVERSION).orig.tar.xz

## nikola 7.0.1

=== debian/changelog ===
nikola (7.0.1-4) unstable; urgency=medium

  * Add missing build dependency on python-dateutil

 -- Agustin Henze <tin@debian.org>  Fri, 08 Aug 2014 08:06:18 -0300

nikola (7.0.1-3) unstable; urgency=medium

  * Remove depends on obsolete python-support
  * Remove echo sentence from nikola.sh (Closes: #757352)

 -- Agustin Henze <tin@debian.org>  Thu, 07 Aug 2014 10:47:12 -0300

nikola (7.0.1-2) unstable; urgency=medium

  * Add nikola.sh (nikola runner to create sh_completion files) (Closes:
    #752954)

 -- Agustin Henze <tin@debian.org>  Wed, 06 Aug 2014 19:10:19 -0300

nikola (7.0.1-1) unstable; urgency=medium

  * Imported Upstream version 7.0.1
  * Update patch to add install_bs3 command
  * Add patch to replace natsort python module by naturalsort
  * Add html5shiv.js to debian/missing-sources
  * Update debian/copyright file
  * Remove depends on python-tz and add depends on python-naturalsort
  * Update debian/rules

 -- Agustin Henze <tin@debian.org>  Mon, 16 Jun 2014 15:28:28 -0300

nikola (6.4.0-1) unstable; urgency=medium

  * New upstream release version 6.4.0
  * Update patch of the custom debian install_bs3 command

 -- Agustin Henze <tin@debian.org>  Sun, 09 Mar 2014 03:22:30 +0100

nikola (6.3.0-1) unstable; urgency=medium

  * New upstream release version 6.3.0
  * Add the awesome patch by Chris "kwpolska" Warrick (add install_bs3
    command) (Closes: #734613)
  * Add bash and zsh completion
  * Use pybuild as buildsystem

 -- Agustin Henze <tin@debian.org>  Fri, 28 Feb 2014 11:33:42 -0300

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,23 @@
 Uploaders: Ulises Vitulli <dererk@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ dh-python,
+ bash-completion,
  python-all,
- python-support (>= 1),
  python-setuptools,
  python-docutils,
+ python-blinker,
+ python-lxml,
+ python-yapsy,
+ python-logbook,
+ python-doit,
+ python-unidecode,
+ python-pyrss2gen,
+ python-mako,
+ python-pygments,
+ python-imaging,
+ python-natsort,
+ python-dateutil,
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.7
 Homepage: http://getnikola.com/
@@ -29,7 +42,6 @@
  python-lxml,
  python-yapsy,
  python-pyrss2gen,
- python-tz,
  libjs-jquery,
  libjs-jquery-colorbox,
  libjs-twitter-bootstrap,

=== debian/rules ===
--- 
+++ 
@@ -6,33 +6,44 @@
 
 UVERSION := $(shell dpkg-parsechangelog | sed -n -e's/^Version: \(.*\)-[^-]\+/\1/p' | cut -d ":" -f 2)
 PACKAGE_NAME := $(shell dpkg-parsechangelog | sed -n -e's/^Source: \(.*\)\+/\1/p')
-PYVERS :=  python2.7
+export PYBUILD_NAME=$(PACKAGE_NAME)
+export ROOT_PATH=$(CURDIR)
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,bash-completion --buildsystem=pybuild
 
-override_dh_auto_build:
+override_dh_clean:
+	dh_clean
+	rm -rf cache
+	rm -f .doit.db
+	rm -f _nikola_zsh
+	rm -f _nikola_bash
+	rm -rf debian/dpackaging_site
+	rm -f debian/source/include-binaries
 
-override_dh_auto_clean:
-	dh_auto_clean -- --all
-	rm -rf build
-	rm -rf Nikola.egg-info
+override_dh_bash-completion:
+	./debian/nikola.sh init -q debian/dpackaging_site
+	cd debian/dpackaging_site/ && ../nikola.sh tabcompletion --shell bash --hardcode-tasks > ../../_nikola_bash
+	cd debian/dpackaging_site/ && ../nikola.sh tabcompletion --shell zsh --hardcode-tasks > ../../_nikola_zsh
+	dh_bash-completion
+	cp _nikola_zsh debian/nikola/usr/share/zsh/functions/Completion/Linux/_nikola
 
 override_dh_auto_install:
-	set -ex; \
-	for py in $(PYVERS); do \
-		$$py setup.py install --root debian/nikola \
-				      --install-layout=deb; \
-	done
-	# Documentation
+	dh_auto_install
+	# Remove copy of licenses
+	find debian/nikola/usr/lib -name "MIT-LICENSE.txt" -type f -exec rm {} +
+	find debian/nikola -name "LICENSE.txt" -type f -exec rm {} +
+	# Drop wrong permission
+	find debian/nikola/usr/lib -perm /a+x -type f -exec chmod -x {} +
+
+override_dh_installdocs:
 	rst2html docs/manual.txt debian/nikola/usr/share/doc/nikola/manual.html
 	rst2html docs/theming.txt debian/nikola/usr/share/doc/nikola/theming.html
 	rst2html docs/creating-a-theme.txt debian/nikola/usr/share/doc/nikola/creating-a-theme.html
 	rst2html docs/extending.txt debian/nikola/usr/share/doc/nikola/extending.html
-	# Drop wrong permission
-	find debian/nikola/usr/lib -perm /a+x -type f -exec chmod -x {} +
-	# Remove a copy of mit license
-	find debian/nikola/usr/lib -name "MIT-LICENSE.txt" -type f -exec rm {} +
+	dh_installdocs
+
+override_dh_auto_test:
 
 get-orig-source:
 	@if [ ! -d "debian" ] ; then \

## nikola 7.1.0

=== debian/changelog ===
nikola (7.1.0-1) unstable; urgency=medium

  * Imported Upstream version 7.1.0
  * Remove patches for bootstrap3
  * Add dependency on libjs-bootstrap
  * Add symlinks to bootstrap3 debian package
  * Fix get-orig-source to import bootstrap3 theme
  * Fix quoting when generate zsh completion (Closes: #762241)
  * Bumped Standard-Version to 3.9.6 (no changes required)

 -- Agustin Henze <tin@debian.org>  Tue, 21 Oct 2014 10:47:58 -0300

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python-imaging,
  python-natsort,
  python-dateutil,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: http://getnikola.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/nikola.git
@@ -45,6 +45,7 @@
  libjs-jquery,
  libjs-jquery-colorbox,
  libjs-twitter-bootstrap,
+ libjs-bootstrap,
  libjs-imagesloaded,
 Recommends:
  python-webassets,

## nikola 7.6.0

=== requirements.txt ===
doit==0.28.0
Pygments>=1.6
Pillow>=2.4.0
python-dateutil==2.4.2
docutils>=0.12
mako>=1.0.0
unidecode>=0.04.16
lxml>=3.3.5
Yapsy==1.11.223
PyRSS2Gen>=1.1
logbook>=0.7.0
blinker>=1.3
setuptools>=5.4.1
natsort>=3.5.2
requests>=2.2.0

=== debian/changelog ===
nikola (7.6.0-3) unstable; urgency=medium

  * Added bootstrap(3)-jinja themes missing pieces (Closes: #793953).

 -- Ulises Vitulli <dererk@debian.org>  Wed, 29 Jul 2015 22:38:10 -0300

nikola (7.6.0-2) unstable; urgency=medium

  * Add missing build-dep on python-requests (Closes: #792352).
  * Bind to python-yapsy specific version (required by nikola).

 -- Ulises Vitulli <dererk@debian.org>  Wed, 22 Jul 2015 06:20:14 -0300

nikola (7.6.0-1) unstable; urgency=medium

  * Add missing patch (Closes: #790710)
  * Imported Upstream version 7.6.0 (Closes: #789072, #790906)
  * Replace strict dependency on dateutil for the current one in debian
    archive (Closes:  #767536)
  * Fix manpage path

 -- Agustin Henze <tin@debian.org>  Wed, 08 Jul 2015 09:20:02 -0300

nikola (7.1.0-2) unstable; urgency=medium

  * Add suggestion on python-pygal for easy Charts.

 -- Ulises Vitulli <dererk@debian.org>  Fri, 20 Feb 2015 06:37:25 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python-docutils,
  python-blinker,
  python-lxml,
- python-yapsy,
+ python-yapsy (>= 1.11.223-1),
  python-logbook,
  python-doit,
  python-unidecode,
@@ -22,6 +22,7 @@
  python-imaging,
  python-natsort,
  python-dateutil,
+ python-requests (>= 2.2.0)
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: http://getnikola.com/
@@ -64,6 +65,7 @@
  python-creoleparser,
  txt2tags,
  node-less,
+ python-pygal
 Description: simple yet powerful and flexible static website and blog generator
  Nikola is a static site and blog generator. Feed information to it on one
  side and get a ready-to-deploy website on the other.

## nikola 7.6.4

=== requirements.txt ===
doit>=0.28.0
Pygments>=1.6
Pillow>=2.4.0
python-dateutil==2.4.2
docutils>=0.12
mako>=1.0.0
unidecode>=0.04.16
lxml>=3.3.5
Yapsy>=1.11.223
PyRSS2Gen>=1.1
logbook>=0.7.0
blinker>=1.3
setuptools>=5.4.1
natsort>=3.5.2
requests>=2.2.0

=== debian/changelog ===
nikola (7.6.4-1) unstable; urgency=medium

  * Add Recommends on python-ws4py and python-watchdog for `nikola auto`
    (Closes: #795769)
  * Set version number on (build)?dependencies
  * Imported Upstream version 7.6.4

 -- Agustin Henze <tin@debian.org>  Wed, 26 Aug 2015 07:43:19 -0300

=== debian/control ===
--- 
+++ 
@@ -9,20 +9,20 @@
  bash-completion,
  python-all,
  python-setuptools,
- python-docutils,
- python-blinker,
- python-lxml,
- python-yapsy (>= 1.11.223-1),
- python-logbook,
- python-doit,
- python-unidecode,
- python-pyrss2gen,
- python-mako,
- python-pygments,
- python-imaging,
- python-natsort,
  python-dateutil,
- python-requests (>= 2.2.0)
+ python-doit (>= 0.28.0),
+ python-pygments (>= 1.6),
+ python-imaging (>= 2.4.0),
+ python-docutils (>= 0.12),
+ python-mako (>= 1.0.0),
+ python-unidecode (>= 0.04.16),
+ python-lxml (>= 3.3.5),
+ python-yapsy (>= 1.11.223),
+ python-pyrss2gen (>= 1.1),
+ python-logbook (>= 0.7.0),
+ python-blinker (>= 1.3),
+ python-natsort (>= 3.5.2),
+ python-requests (>= 2.2.0),
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: http://getnikola.com/
@@ -34,15 +34,19 @@
 Depends:
  ${python:Depends},
  ${misc:Depends},
- python-doit,
- python-pygments,
- python-imaging,
- python-docutils,
- python-mako,
- python-unidecode,
- python-lxml,
- python-yapsy,
- python-pyrss2gen,
+ python-doit (>= 0.28.0),
+ python-pygments (>= 1.6),
+ python-imaging (>= 2.4.0),
+ python-docutils (>= 0.12),
+ python-mako (>= 1.0.0),
+ python-unidecode (>= 0.04.16),
+ python-lxml (>= 3.3.5),
+ python-yapsy (>= 1.11.223),
+ python-pyrss2gen (>= 1.1),
+ python-logbook (>= 0.7.0),
+ python-blinker (>= 1.3),
+ python-natsort (>= 3.5.2),
+ python-requests (>= 2.2.0),
  libjs-jquery,
  libjs-jquery-colorbox,
  libjs-twitter-bootstrap,
@@ -50,9 +54,10 @@
  libjs-imagesloaded,
 Recommends:
  python-webassets,
- python-requests,
  python-typogrify,
  python-livereload,
+ python-ws4py,
+ python-watchdog,
 Suggests:
  python-jinja2,
  python-feedparser,
@@ -65,7 +70,7 @@
  python-creoleparser,
  txt2tags,
  node-less,
- python-pygal
+ python-pygal,
 Description: simple yet powerful and flexible static website and blog generator
  Nikola is a static site and blog generator. Feed information to it on one
  side and get a ready-to-deploy website on the other.

=== debian/rules ===
--- 
+++ 
@@ -50,13 +50,14 @@
 		echo 'Run this from the top directory of the Debian source' >&2; \
 		exit 1; \
 	fi
+	rm -rf ../tmp/nikola_$(UVERSION)
 	mkdir -p ../tmp/nikola_$(UVERSION)
 	wget https://github.com/getnikola/nikola/archive/v$(UVERSION).tar.gz \
 		-O ../tmp/nikola_$(UVERSION).tar.gz;
 	tar xf ../tmp/nikola_$(UVERSION).tar.gz \
 		-C ../tmp/nikola_$(UVERSION) \
 		'--exclude=*min.*' \
-		'--exclude=*bootstrap3*' \
+		'--exclude=*bootstrap-theme.css' \
 		'--exclude=*bootstrap.js' \
 		'--exclude=*bootstrap.css' \
 		'--exclude=*bootstrap-responsive.css' \

=== debian/watch ===
version=3

https://github.com/getnikola/nikola/releases .*archive/v?([0-9.]*).tar.gz
